-- =============================================  
-- Author:  Valerio Colaianni  
-- Create date: 17 marzo 2009  
-- =============================================  
CREATE procedure [C6MartPeriodico].[DM_CODIFICA_CREDITRISK]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 DECLARE @ID_ELAB INT  
 SET @ID_ELAB = C6MartPeriodico.GETIDELAB()  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'DM_CODIFICA_CREDITRISK',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
 TRUNCATE TABLE C6MartPeriodico.CODIFICA_CREDITRISK  
 INSERT INTO C6MartPeriodico.[CODIFICA_CREDITRISK]  
           ([PROFILO]  
           ,[DESCRIZIONE]  
           ,[MIN_VAL]  
           ,[MAX_VAL]  
           ,[ID_ELAB])  
 SELECT   
  COD,  
  DESCR,  
  MINVAL,  
  MAXVAL,  
  @ID_ELAB AS ID_ELAB  
 FROM C6STAGINGPERIODICO.RISKCLASS  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'DM_CODIFICA_CREDITRISK' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'DM_CODIFICA_CREDITRISK'  
  )  
END